#pragma once

#include "Types.h"

namespace ehs
{
    class EHS_LIB_IO Color3
    {
    public:
        float r;
        float g;
        float b;

        Color3();

        Color3(float scalar);

        Color3(float r, float g, float b);

        Color3(const Color3& color);

		Color3& operator=(float scalar);

        Color3& operator=(const Color3& color);

		bool operator==(const Color3& color) const;

		bool operator!=(const Color3& color) const;

        float operator[](UInt_64 i) const;

        float& operator[](UInt_64 i);

		Color3& operator*=(const Color3& color);

		Color3 operator*(const Color3& color) const;
    };
}